Dragon UnPACKer v5.6.2 "Exedra-Chac"                        MPL 1.1 open source
by Alexande "Elbereth" Devilliers                                    07/08/2011
===============================================================================

  ** English ** (voir Historique.txt pour la version française)

  ----------
  What's new
  ----------

  Legende:

    * = Updated
    + = New
    - = Deleted
    ! = Bug fixed
    # = Known Bug
    i = Information

-------------------------------------------------------------------------------
Plugins versions:

Drivers plugins:					                    Version:
Elbereth's 11th Hour Driver (drv_11th.d5d)              1.0.0.9
Main Driver (drv_default.d5d)                           2.1.1.941
A.Cordero's UT Packages Driver (drv_ut.d5d)             2.3.0.125
Info-ZIP's ZIP Driver (DLL wrapper) (drv_zip.d5d)       1.1.3.139
  Info-ZIP's UnZip DLL for Win32 (unzip32.dll)          5.5.2

Convert plugins:
Picture/Textures convert Plugin (cnv_pictex.d5c)        2.2.0.122

-------------------------------------------------------------------------------
Main program version and versions history:

Version 5.6.2.268 "Exedra-Chac"
Release [07/08/2011]

 + Added new macros to the create list feature:
   Available in both header & footer:
    $$FTOTNUMBYTES$$  Number of bytes in file (formatted with thousands seps)
    $$FTOTNUMFILES$$  Number of files in file (formatted with thousands seps)
   Available in variable:
    $$FSIZE$$         Size (formatted with thousands seps)
    $$FOFFSET$$       Offset (formatted with thousands seps)
   The formatting is using the regional settings of Windows.
   For example, for English (USA) the separator will be a comma "," but for
   French (France) it will be a space " ".
 * Changed the following 2 macros in create list feature to be usable also in
   the header (and not only in footer):
    $$TOTNUMBYTES$$   Number of bytes in file
    $$TOTNUMFILES$$   Number of files in file
 + Added Advanced option to accept 0 bytes entries from the Drivers plugins.
   When this option is checked the 0 bytes entries are not skipped. This is not
   recommended but it will work (extraction will create a 0 bytes file).
 + Added Basic option to display Data X & Y fields in the content list. Those
   fields are used internally by some plugins (and some formats). This is for
   debug purposes and will most likely be only useful to me. :p
 ! Fixed extraction in files of more than 2GB:
   The content of entries which offset was after the 2GB position was wrong...
 ! Fixed drag & drop extraction of files.
 ! Fixed bug #3361911: OggS & TGA were not working correctly due to the use of
   seek from current position (broken in TBufferedFS).
 ! Changed all .Seek() calls to int64 compatible calls (or Position equivalent).
 * Added new main icons for 128x128 and 256x256 (16x16 and 32x32 stays the same)
   based on Iconshock design of Twitter treasure chest:
     http://www.iconshock.com
 * Duppi v3.3.5:
   * Added new main icons for 64x64, 128x128 and 256x256.
     Based on Oxygen Team's Apps system software update icon.
	 Old resolutions 16x16 and 32x32 stays the same. :p

	 
Version 5.6.1.262 "Exedra-Benton"
Release [05/04/2011]

 i Thanks to Paul (from http://www.spookcentral.tk) for all his good ideas
   for features and helping fixing bugs for this version.
 i Now using FastMM v4.97 as memory manager. Only core for the moment.
 ! Fixed a lot of memory leaks (more to come). Thanks to FastMM debuging mode.
 ! Fixed the missing sort options in the file listing pane. Clicking on the
   header would do nothing.
 * Changed association icons to use 256x256 icons (much more appropriate for
   modern OSes than the old 32x32 one.
   The chest icons (closed & open) were made by Mohsen Fakharian, check his
   work here: http://mohsenfakharian.deviantart.com
   For the moment only the first icon is used, I will try to modify the
   association part so it can be choosen between both possibilities.
 * MAJOR speedup when lots of entries in the opened resource file:
     When left-clicking an entry for a preview
	 When right-clicking for popup menu
   I was doing some pretty dumb things which were slow as hell!!! 
 - Removed use of CxCpu (which was only used in Error handling popup).
   Unmaintained and not really useful anyway.
 * Auto-expand the folder list when loading a file.
   This can be turned off in the Basic Options.
 + The program now remembers which file type you had selected in the open dialog
   and will reselect it automatically unless the format list changed (ex: when
   updating the driver plugins).
   This can also be turned off in the Basic Options.
 + Added option to automatically clear the log everytime a file is opened.
 * The create file list now automatically adds the extension to the filename
   if it is missing.
 + Added Copy to clipboard option to the popup menu of the Log.
 + Added option on the popup menu on left pane to extract current selected
   folder to his own folder (with same name).
   Ex: You right-click on "Animation" folder which contains sub-folders.
     Extract sub-directories... will extract all sub-folder directly
                                to the selected folder.
     Extract sub-directories to folder... will create a sub-folder named as
                                "Animation" to the selected folder and extract
                                all-subfolders there.
 ! Fixed double menu popup in left pane when right clicking.
 * Elbereth's Main Driver plugin v2.1.1:
   * Enhanced Bloodrayne .POD support by using buffered directory reading.
   + Added Ghostbusters: The Video Game .POD support (POD5).
     This is almost the same file format as Bloodrayne .POD (POD3).
   + Added Ghostbusters: Sanctum of Slime .PAK support.
     Includes decompression of entries (LZMA).
   * Changed how magic ID string is copied.
   

Version 5.6.0.239 "Exedra"
Release [15/10/2010]
 
 ! Fixed Preview option main menu & popup menu (ETreeViewError with Invalid
   Index message).
 ! Fixed Look & File types option menu leading to the wrong Option tab.
 + Added version number to Error box for unhandled exceptions.
 ! Fixed empty "More details" sections in Error box when there was no lines
   to display.
 * Updated Drag and Drop Component to v5.1.
   Now Dragon UnPACKer dynamically indicates the version number (in log and
   About box).
 * Enhanced the temporary file handling.
 * Some convertion features are now handled by the core (plugins still exists
   anyway to expand this functionnality). They use the excellent Vampyre
   Imaging Library to detect compatible file types and allows for convertion
   to BMP.
 ! Fixed program not working correctly under Windows Vista/7 with UAC on.
   Symptoms were program running in French even after selecting English or
   Spanish. Sorry!
 ! Fixed opening message bug in logs (%f).
 ! Fixed small log bug (invertion of variable texts when logging a successful
   opening).
 ! Fixed memory amount retrieval in Error box when more than 2GB of RAM in the
   system.
 * Changed application title to include version and currently open file.
 + Added Windows Vista/7 taskbar progress indicator when Aero is enabled.
 - Giants: Citizen Kabuto drv_giant .GZP plugin.
   Support is now in Elbereth's Main Driver.
 - Felix Riemann drv_mix .MIX plugin (no source was available).
   Support is now in Elbereth's Main Driver.
 - Removed all use of JCL & JVCL. Replaced by:
    Personnal equivalent functions
    API calls
	Delphi VCL
 * Replacement for JVCL JvBrowseDialog, uses ShellApi (by Brian Cryer code with
   help of Martin Birk)
 * HyperRipper v5.6:
   - HyperRipper plugin support was removed, this was done with multiple goals
     in mind:
	   Easier to compile with Lazarus\FreePascal
	   Ability to do multi-threading in the future
   * The latest plugin version was merged with Dragon UnPACKer core to provide
     same functionnality as last HyperRipper + last HyperRipper plugin.
   * Speed-up (same or slightly faster than plugin version).
   + Added Windows Vista/7 Taskbar Progress support.
   + Added Exclude False positive option (checked by default).
     This prevent selecting file formats that will most probably retrieve tons
	 of False positives (669, IT & FLIC which are very old file formats which
	 are never used nowadays).
   + Added Auto-Start scanning option (in advanced options).
     If you use this with the option to auto use HyperRipper when file format
	 is unknown, scanning will start automatically in those cases.
   + Added Auto-Close when entries found (in advanced options).
     HyperRipper will auto close when scanning is finished and entries where
	 found.
   + Added Force buffer size option (in advanced options).
     This can be used to force the size of the buffer from the standard 128k.
	 Although this is NOT recommended (big/low values can be/are slower) if
	 you want to try, feel free.
	 The only way to change the value is by directly editing the registry:
	 HKEY_CURRENT_USER\Software\Dragon Software\Dragon UnPACKer 5\HyperRipper
	 DWORD key BufferSize
	 Smallest possible value is 32, largest is 32MB.
	 Rollback is fixed to 16 bytes.
   ! Fixed BigToLittle2 which was doing wrong calculation...
   + Added JPEG Exif support (APP1 marker instead of APP0).
   * Enhanced JPEG support to use markers as much as posible before BMFind to
     EOI marker.
   ! Fixed check which was preventing finding some files if they were just
     behind each other.
   * Enhanced MPEG Audio search to give feedback while determining file size.
     This also allows to click on Cancel while HyperRipper is finding a huge
	 MPEG Audio file.
   * Speed-up when searching for MPEG Audio when found entries are lower than
     the minimum frames/size.
 * Elbereth's Main Driver plugin v2.1.0:
   + Added Blade Runner .MIX support.
	 Added Command & Conquer .MIX support.
	 Added Command & Conquer: Red Alert .MIX support.
	 Only non-crypted files are supported, decryption code it still a no-go.
     Should work as Felix Riemann driver, but with detection of filenames based
	 on XCC-Util database.
	 New filenames can be added by editing the drv_default_mix.lst text file,
	 one entry per file. Check file header for more info.
   + Added Giant: Citizen Kabuto .GZP support.
     Merged from the now removed stand alone plugin.
   ! Fixed extraction from realMyst 3D sho.dni files (some entries were zlib
     compressed but were not decompressed).
   + Added support for Battleforge .PAK files.
   + Added support for Dragon Age: Origins .ERF files.
   i Internal changes to the source make it easier to add new formats.
     Also added compile time parameter to enable experimental file formats.
 * Elbereth's Picture/Textures Convert plugin v2.2.0:
   i Now using DUCI v4 compatible with v3.
     Please note that using this version with old Dragon UnPACKer versions
	 will result in lost functionnality because of the following removal.
   - Removed convertion features using Vampyre Imaging Library.
     This is now done directly in the core Dragon UnPACKer (where the library
	 is already used for the preview feature).
 * InfoZip's ZIP Driver plugin v1.1.3:
   + Added Heroes of Might & Magic 5 .PAK to the supported file types.
   * Cleaned the list of supported files types (some doubles removed, etc..).
   i Internal source changes: Using addFormat now.
 * Duppi v3.3.3:
   + Added new DUPP v4 feature: Obsolete Files
   + Added multi-server support (when one server fails to download an update
     Duppi will automatically try the next available one).
   + Added download verification by checking file size and hash.
   + Added log while installing to know what's going on.
   + Implemented auto-update of Dragon UnPACKer.
   * Improved feedback to the user while installing DUPP v4 files.
   * Optimized code to remove all useless units:
       JVCL & JCL are no more used
	   VirtualTree are no more used
	 This alone reduced size by 300kB...
   i Updated to work with curl instead of Overbyte's ICS.
     This was done in order to be more platform independant (FPC/Lazarus).
	 Current version bundled with libcurl v7.21.0 and zlib v1.2.5.
   ! Translated all text introduced with DUPP v4 support. Sorry to non-english
     speakers it was alwars showing in english...
	 This required bump in language version number (PI v2).
   ! Fixed small bug in information log
   ! Fixed banner bug showing beneath the text under Vista/7 when Aero was
     activated.
   ! Fixed the popup asking for update to newer version of Dragon UnPACKer even
     when no update package was available (ex: 5.2.0b --> 5.4.0a).
   ! Fixed the URL used when the user want to download manually a new version
     of Dragon UnPACKer.

	 
Version 5.4.0.192 "Degei"
Release A [23/04/2009]

 i Very minor release, but still some annoying bugs. :p
 i Updated Ken Taylor's (dniExtract author) data in readme.
 * Added error when LoadLibrary fails on a plugin.
 ! Fixed not alpha blending on splash screen for Windows Vista & Seven.
 ! Fixed Tools menu not appearing when using HyperRipper.
 ! Fixed Maximized status lost after quit.

 
Version 5.4.0.191 "Degei"
Release [20/11/2008]

 i This stable release was long to come, but there are some neat additions and
   improvements! Enjoy!! :)
 * Updated all third party components to latests versions:
     Drag and Drop Component Suite Version v4.2
     JEDI Code Library [JCL] v1.102.1 Build 3072
     JEDI Visual Component Library [JVCL] v3.34
     Overbyte ICS v6 Beta 2007/11/14
     Virtual Treeview v4.7.0
 * Enhanced the Options dialog, now with icons and added an Advanced option.
   Moved the Journal options under the General Options tab.
 + Added 4 new associations options:
   + Verify associations at startup (will redo associations at startup always).
   + Use external icon (instead of the default one)
   + Change association text (instead of the default one)
   + Add the "Open with Dragon UnPACKer 5" extension to Windows Explorer.
 + Added Advanced options:
   + Temporary Directory (allows to change temporary directory used)
   + Make extract file as default (instead of Open)
   + Buffer memory size (used for extraction)
     This does not impact all plugins, some plugins will use their own buffer
     size.
 * Improved how the internal language works. It is now based on a LSF file too
   and the Delphi code is generated by Dragon LNG Compiler (/li flag). No
   changes for the end user but much easier for me. :p
 ! Fixed HyperRipper form that wasn't showing modal when displayed after load
   not possible by Drivers plugins.
 * Improved loading time by displaying the main form first and then starting
   to load all plugins.
 + Added display of library used (with version info) when the log verbose 
   level is medium or high.
 + Added JEDI Code Library info in the About windows.
 + Increased to 10 the history of recently opened files.
 * Editable directory field in the Extract to directory dialog.
 ! Fixed Drag & Drop by auto-creating directory.
 + Added menu item in About main menu to Check for new versions (runs Duppi).
 + Added link next to the language selection combo box to Find new translations
   (runs Duppi).
 + Added previewing ability for images!
   It works by using Vampyre Imaging Library v0.26.0 by Marek Mauder.
   The speed is good (the previewing is fast, the extraction can be slow).
   Therefore there is a threshold limit (in number of bytes) which trigger
   preview or not (by default ~1M). This limit can be configured in the options
   and can also be disabled.
   It either displays full size or stretched/shrinked to fit preview pane size.
 * Elbereth's Convert plugin v2.1.1:
   + Using Vampyre Imaging Library v0.26.0.
   + Added .BMP support for most know formats.
 * Elbereth's Main Driver plugin v2.0.5:
   i Huge clean up of the source. I hope everything is still working as
     expected.
   + Added support for Ascendency .COB files.
   + Added support for Act of War .DAT files.
     Thanks to http://wiki.xentax.com/index.php?title=GRAF:Act_Of_War_DAT
   + Added support for AGON .SFL
     Thanks to http://wiki.xentax.com/index.php?title=GRAF:AGON_SFL
     Still missing folders, I hope to understand how it works... Still it is
     already working without the folders so...
   + Added very basic support for Dreamfall: The Longest Journey .PAK files.
     Actually while trying to figure out what STFU4 file format might be I
     found a MUCH complete tool for this file format, don't hesitate if you
     need almost complete support for Dreamfall: The Longest Journey:
     DFTOOLBOX at http://clanlib.org/~grumbel/
   + Added support for Enclave and The Chronicles of Riddick: Escape from
     Butcher Bay .XTC and .XWC files. Feature Request 1094221.
   + Added support for Entropia Universe .BNT.
   + Added partial support for F-22 Air Dominance Fighter .DAT files.
     Partial because the directory name, file name and extension are not
     retrieved and only the hash is shown (as hex value).
     This is as far as I could go. From what I understood from the mails I
     received from Jolly Anger the filenames are stored in the EXE file
     of the game. But I don't know how to get them...
     Super EF2000 .DAT files are also supported (same structure than F-22 ADF).
   + Added support for Florensia .PAK files.
   + Added support for Sinking Island/L'Ile Noyée .OPK
   + Added support for The Elder Scrolls 4: Oblivion .BSA files.
     Thanks to http://www.uesp.net/wiki/Tes4Mod:BSA_File_Format
     Please check there if you need to create this type of archives, there are
     free tools for that!
   + Added support for UFO: Aftermath, UFO: Aftershock and UFO: Afterlight .VFS
     files (which are all 3 the same format).
     Started research by using info on XentaX's Wiki:
     http://wiki.xentax.com/index.php?title=UFO_Aftershock
     But it took me the weekend to figure out missing parts!!
     Anyway, it works. ;) Check the sources for details on the file format.
   * Improved LithTech .REZ support.
     Instead of reading everything until the end of file, it now uses some
     logic which improves reliability A LOT!
   * Improved Spellforce .PAK support thanks to info sent by Anonimeitor.
     Now the directory names are shown! :)
   ! Fixed opening No One Lives For Ever 2 sound.rez.
 * HyperRipper v5.5d:
   * Improved reliability with new DUDI v4 HyperRipper plugins.
     The new plugin formats introduce a much more reliable way to scan buffer!
     Should miss much less entries (or none at all!!).
   - Disabled Buffer and Rollback advanced options. Values are fixed to 8K and
     128bytes respectively. Those are the optimal values for the new plugin
     with Boyer-Moore search.
   + If a file is loaded in Dragon UnPACKer it is automatically closed once the
     Search button is pressed (this is to avoid the "Error reading file" when
     searching in the same file twice for example).
   ! Fixed the threading bug (1686603), once and for all!
     This was due to bad threaded programming done by me (setting methods &
     properties of the main thread from the Execute procedure of a thread).
   ! Fixed responsiveness, it is now possible to cancel search.
   ! Fixed HyperRipper bug (sorting bug) thanks to patch from Psych0phobiA.
     This was leading to files being missed.
   * The last used tab is now remembered between uses (avoid having to click
     on Search tab everytime).
 * Elbereth's HyperRipper 5.5 plugin v5.1.0:
   * Improved speed by using a Boyer-Moore search
     And now it is very FAST -> 450MB scanned for Ogg in less than 16 seconds!
     Only MPEG audio search is slow now.
   + Added support for DDS file format (Feature Request #1639688)
   ! Fixed bug #1428079 (missing bytes EOF on WAV files)
   ! Fixed bug #1729410 (extraction of mp3 subfiles creates incomplete files)
     Please note however that the search of MPEG Audio streams is very STRICT!
     That means if the embedded MP3 file has errors it might be cut in multiple
     files by the plugin. This is normal and cannot be avoided by the program.
     Just put the pieces together if needed.
   * Improved MPEG Audio search speed (twice faster most of the time).
     Still slow on my computer but better than nothing. ;)
   * Tweaked Buffer/Rollback values to optimal values: 128kB/32B respectively.
   ! Implemented an easy check that should prevent some false positives.
     (Bug #1914923 sanity checks in hyperripper)
   + A gift (patch) from Psych0phobiA brings support for Truevision Targa TGA
     RGB only.
 * Duppi v3.0.0:
   i Updated to work with new Overbyte's ICS v6 HTTP Client component name.
   + Added support for DUPP v3 which fixes the CRC calculation mistake that
     existed in previous versions. DUPP v2 files are still supported.
     Note v2 & v3 are deprecated and should not be used (the file format was
     bad and broken).
   + Added support for DUPP v4 packages. A very powerful and secure package
     format. Should be future proof and expandable if needed. It uses strong
     hash (SHA256 & SHA512) and has LZMA/Zlib compression with possibility to
     do solid compression.
     From this release on, all D5P files will be v4.
   + Ability to auto-update.
   + Duppi now has its own language files.
 

Version 5.2.0.169 "Cinthia"
Release B [30/01/2006]

 ! Fixed bug: By implementing (too quickly) the feature request 1216790, I
   broke the use of 2 older keywords.
 ! Fixed "--Undefined-OPT203--" in options for english & spanish translation.
   The new language files are compatible with all 5.2.0 versions.


Version 5.2.0.168 "Cinthia"
Release A [29/12/2005]

 + Implemented feature request 1216790: file size/length needed.
 * Main driver plugin is now v2.0.0 Release A (DUDI v4):
   ! Fixed the extraction of The Movies .PAK files (some files had 2
     compression headers... I don't understand why...).
     Thanks to the XentaX Wiki for the info.


Version 5.2.0.167 "Cinthia"
Release [23/12/2005]

 i Since last version 5.1.2 WIP (9 months ago), I was quite inactive in
   developping  Dragon UnPACKer. But the last few days were quite productive
   (imho). Here is the result: A new version for 2005 (just in time).
 + Ability to use priority for Drivers plugins.
   What is that for ?
   Well, basically for expert users this allows to prefer one driver over
   another one when trying to open files.
   For example:
   If you want drv_mix to try opening a file before drv_default you will give
   drv_mix a priority higher than for drv_default.
   Maximum priority: 200
   Minimum priority:   0
 + New error dialog box. I hope this will allow for better bug reports.
   (Not used everywhere, but should show in most situations)
 + Add a log to the UI to know what is going on.
   You can hide this new log thingy (hint: right click or in the options).
 + Added a new log options tab (in the Options obviously)
 + New convert and driver plugin system (respectively DUCI v3 and DUDI v4).
   This allow for direct (without using temporary file, therefore faster)
   convertion. This was created with preview feature in mind.
 * Enhanced HyperRipper and plugin to support very big files (more than 2GB).
 * UT Packages driver plugin is now v2.3.0 (DUDI v4):
   * Now using TUTPackages v2.3-cvs (09/05/2004)
     This is certainly the last version ever from Antonio Cordero.
     Modified it a bit to support extraction to a stream.     
   + Added Game Hint structure. This is needed for better game support by the
     library. For every new file you open it will popup asking from which game
     is the file. Just select the game in the drop down list.
     If the game is not in the list, it will most probably be not supported
     correctly.
 * ZIP driver plugin is now v1.1.0 (DUDI v4):
   i Now using UnZip.pas from Gerke Preussner <j3rky@gerke-preussner.de>
     InfoZIP UnZip for Delphi Wrapper (http://www.gerke-preussner.de)
   * Now using UnZip32.Dll (InfoZip) v5.5.2.
   i This version of the plugin is extracting the whole entry to memory and
     then writes it into a file. If needed I might add an option to go direct
     to disk when file is more than a certain size.
 ! Fixed bug #1118661: Very Big Files failure
 ! Fixed bug #1066079: Caption "Drivers" cannot be translated
 * Convert plugin is now v2.0.1 (DUCI v3):
   + New convert function that use TStream input and output.
   * Old convert function are now only wrappers to the new functions.
   ! Fixed some bugs (not sure they weren't introduced by the TStream system)
 * Main driver plugin is now v2.0.0 (DUDI v4):
   + New extraction function that use TStream as output.
   + Added progress display for a bunch of extraction functions.
   + Added support for Age of Empires 3 .BAR files
   + Added support for Black & White 2 .STUFF & .LUG files
   + Added support for Civilization 4 .FPK files
   + Added support for Fable: The Lost Chapters .LUG files
   + Added support for F.E.A.R. .ARCH00 files
   + Added support for LEGO Star Wars .DAT files
   + Added support for The Lord of the Rings: Battle for Middle Earth .BIG files
   + Added support for The Movies .BIG & .LUG files
 * Duppi v2.1.0:
   + Now using the new Dragon UnPACKer Update Server [DUS] version 3 (PHP based,
     sources included).
     That means Duppi will only display updates & translations related to your
     version of Dragon UnPACKer.
   + Now also support internet retrieval of translations directly from Duppi!
   + Added support to retrieve version number for all 3 new plugins interfaces
     (DUCI v3, DUDI v4 and DUHI v3)
   ! Fixed bug #1066080: Caption: "InfoLab" while connecting to server
   i Compiled for support of language files version 9.
 

Version 5.0.0.134
Release [18/07/2004]

 i I think it is time for a stable release. In the last 2 months I only had 6
   bug fix request (I fixed 3, 2 couldn't be fixed with current structure of
   the program and 1 wasn't reproductible for me).
   Before stable release I had hoped to have a full help file and manual.
   David_s_tr is working on them. But I have some plans that will require deep
   changes in the core of Dragon UnPACKer, for this I will make the 5.1 branch
   on CVS after release of 5.0.
 ! Fixed bug #958620 : Translation problem when starting with unknown file
   format.
 ! Fixed bug #958622 : Problem in create entry list dialog (combobox only show
   "v").
 * Main Driver v1.3.4 Release A:
   i Formely known as "Elbereth's Main Driver".
   + Added Painkiller PAK support. [Partially based on MrMouse information]
   + Added Hitman: Contracts .TEX support.
   + Added Hitman: Contracts .PRM support.
     There are no filenames stored in those files, so the plugin just creates
     ones. Don't rely on those filenames.
   + Added Cyberbykes .BIN support [Request #968745].
 * Picture/Textures Convert v1.0.7:
   ! Fixed some bugs in palette creator (author/name).
   + Added Glacier Engine games (Hitman 2: Silent Assassin, Hitman: Contracts,
     Freedom Fighters, etc..) support for all 4 textures formats :
      - DXT1 to DDS (DXT1 compressed)
      - DXT3 to DDS (DXT3 compressed)
      - PALN to TGA 32bpp w/alpha channel
      - RGBA to TGA 32bpp w/alpha channel
 * Duppi v2.0.3:
   * Changed URL where update data is retrieved (should be faster than the
     older one). Old versions of Duppi will still work (old URL still works).
   ! Fixed bug #958619 : Translation problem in proxy dialog box.


Version 5.0.0.129
Release Candidate 4 [08/05/2004]

 i Biggest change is that Dragon UnPACKer is now open source under the Mozilla
   Public Licence 1.1.
   You can find source on Sourceforge. If you are willing to help developing
   Dragon UnPACKer you are welcome (you need Delphi knowledge). Because I am
   lacking time to work on Dragon UnPACKer don't expect frequent versions if
   I am still alone programming it.
 + New language file format (DLNG v4).
   I hope this will fix problems some translations were having.
 * Elbereth's Main Driver v1.3.1 RC:
   + Added Pixel Painters games normal and extended ressource files support.
     That means following games files are supported:
       Dig It! .XRS files (maybe embedded files are encrypted/decrypted..)
       Electranoid .RES files
       Fuzzy's World of Miniature Space Golf .RES files
       Laser Light .RES files
       Xatax .RES files
     Thanks to "Borg No. One" for his help.
   + Added Command & Conquer: Generals .BIG files support.
   + Experimental Commandos 3 .PCK files support.
     Let me explain: Files are encrypted (light encryption) but I was unable to
     know how to automatically find the decryption key. So if my key "guess"
     code doesn't work the extracted file will be crypted.
     This should never happen to WAV files (should always decrypt).
   + Added Empires: Dawn of the Modern World .SSA support.
     But no decompression (PK01).
   + Added Eve Online STUFF support. [Thanks to DaReverse for infos]
   + Added Spellforce PAK support. [Thanks to DaReverse for infos]
   ! Fixed some weird coding.. :P
   + Added Nocturne POD support. [Requested by Voodoo]
   ! Fixed POD support (when Smart opening is disabled in Dragon UnPACKer).
 ! Fixed two bugs found by Voodoo in the HyperRipper.
 
 
Version 5.0.0.127
Release Candidate 3 [26/09/2003]

 i This is the first version released after testing from the beta testers team.
   Therefore this version should be very stable.
 ! Fixed a bug with icons not read from registry of Windows (if option is
   selected) but from the LOOK file for results of a search.
 ! Fixed cosmetic bugs in the options window.
 * Changed About box. Now all beta testers nicknames appears. There is also
   a list of translators of Dragon UnPACKer.
 * Optimized A LOT the directory browsing. Now for directories with thousands
   of files it is INSTANTANEOUS.
   Achieved using VirtualTree in a better way and in a less important
   proportion using directory cache structure:
     v5.0.0 RC2 method             5000ms
     Without directory caching       50ms
     With directory caching           0ms
 ! Fixed two cosmetic bug in the options menu (File Type and Look weren't
   leading to the right option panel).
 ! Fixed a bug in the option form that was causing an "Access Violation" error
   when no plugin was found of either Driver, Convert and HyperRipper type.
 ! Fixed two missing errors messages for HyperRipper plugins.
 ! Fixed a bug in the option form where the HyperRipper list was using the
   currently selected convert plugin (instead of currently selected HyperRipper
   plugin).
 i Updated all 3 "create list" templates to reflect the new Email and URL.
 * Implemented DUHI (Dragon UnPACKer HyperRipper plugin Interface) v2.
   This allows forms created by the plugin to be considered part of the main
   application. This version is compatible with DUHI v1 and v2.
 * Implemented DUCI (Dragon UnPACKer Convert plugin Interface) v2.
   This allows forms created by the plugin to be considered part of the main
   application. This version is compatible with DUCI v1 and v2.
 * Implemented DUDI (Dragon UnPACKer Driver plugin Interface) v3.
   This allows forms created by the plugin to be considered part of the main
   application. This version is compatible with DUHI v1, v2 and v3.
 * Elbereth's Main Driver v1.2.8 RC:
   + Added support for Battlefield 1942 .RFA files from retail version (not
     only demo). Translated C decompression code from RAT v0.5.0, Refractor2
     Archive Tool to Delphi Pascal. Original C code by:
       Tonto Rostenfaunt <tonto@linuxmail.org>
       Blackjap McGee    <blackjap@hawaii.rr.com>
     RAT can be found at: http://r2at.sourceforge.net/
     RFA parsing was entirely coded from scratch.
     I can send the translated decompression code (Delphi Pascal) if someone
     wants it.
   + Added support for GTA: Vice City .ADF files.
     ADF files are only MP3 files encrypted so opening an ADF file will only
     show one file inside.
 + Elbereth's Picture/Textures Convert v1.0.4 Beta:
   i Now using DUCI v2.
   ! Fixed convert form that wasn't considered a child of main Dragon UnPACKer
     application. (Alt+TAB now works fine)
   + Added Config box allowing to manage palettes.
 i Elbereth's Main HyperRipper plugin v5.0.1 Release C:
   i Now using DUHI v2.
   ! Fixed MPEG Audio config form that wasn't considered a child of main Dragon
     UnPACKer application. (Alt+TAB now works fine)


Version 5.0.0.119
Release Candidate 2 [08/09/2003]

 i As you have probably noticed I got rid of "Dragon Software" name and URL. As
   a result I changed all URLs in core and Duppi to:
   http://www.dragonunpacker.com or http://www.elberethzone.net
 ! Fixed two small cosmetic bugs as reported by Andrew Bondar. :)
   For information:
     "Aucun" displayed at bottom right on startup.
     PnlComment displayed in driver infos.
 ! Fixed a bug in the core application when unknown exceptions is raised by a
   plugin (now it displays the message instead of "%e"). :)
 * Added directory parsing indicator in the percentage bar.
   That way you know that Dragon UnPACKer is working and not crashed.
 + Added support for new drivers plugins generation (using DUDI v2).
   If you are a plugin developer this fixed some big lacks in DUDI v1.
   The following plugins are in developement and will use DUDI v2:
   drv_multiex               MultiEx.dll Wrapper
   drv_11th (final version)  11th Hour & 7th Guest file format support
 ! Fixed a bug where the root of a file was parsed twice the first time.
 - Disabled the security about needed drv_default.d5d file.
   That means this version can run without the drv_default.d5d driver. This is
   if you want to make a special version with only the plugins you want.
 ! Fixed some really minor cosmetic glitches (b instead of B in the HyperRipper
   speed/memory measurement).
 * Optimized some data handling (use pointers instead of copying values where
   possible).
 * Now the directories in the index tree view are sorted.
 ! Fixed extraction status panel position.
 * Elbereth's Main Driver v1.2.7 RC:
   + Added Star Crusader PAK and GL support.
     (I don't know the format of images in the GL files... I only checked it
      was not PCX images. If you know the format please send me a mail so I can
      add the right extension)
   ! Fixed Monkey Island 3 .BUN support.
   + Added Tron 2.0 .REZ to the list of supported games.
 * Duppi v2.0.2:
   * Enhanced so it can show Convert and HyperRipper plugins version info.
   * Implemented some features of the D5P file format into Duppi.
     + Added support for the "new" D5P version 2.
     + Detect the needed Duppi version information from D5P files.
     + Apply D5P needed Dragon UnPACKer 5 version.
     + Custom banner from D5P files is now displayed (if available).
   ! Fixed a small (but important) bug in Duppi. It was impossible to install
     files in sub directories of selected base directory.
     The D5P maker (to be released) don't use this option yet, so all D5P files
     works fine with any version of Duppi.
   + Added support for HyperRipper plugins.
 + Elbereth's Picture/Textures Convert v1.0.3 Beta released:
   + Added support for Bloodrayne .TEX textures.
     Convert to BMP (8bpp) and TGA (8bpp and 24bpp).
     Used information about TEX texture files from Bloodrayne.co.uk forums.
 i Elbereth's Main HyperRipper plugin v5.0.1 Release B:
   + Added much requested Ogg Stream support (Ogg Vorbis for ex).


Version 5.0.0.109
Release Candidate 1 [29-06-2003]

 ! Fixed main menu colors changing.
   (Switched to TJvMainMenu from JEDI Project.)
 * Updated VirtualTreeView to v3.8.3.
 ! Fixed a bug in core application.
   Access violation when double right clicking in the right pane view.
 ! Fixed a small color bug in the right pane popup menu.
 ! Fixed an untranslated error message (when could not open the file).
   Was always in french.
 ! Fixed a bug when extracting all subdirectories the files where
   extracted in the DUP5 directory.
 * Changed the Directory select (when extracting multiple files) dialog.
   Now you can create directories.
 ! Fixed a small color bug in the left pane popup menu.
 * Now DUP5 verifies the file it tries to open really exist before
   trying to open the files using the driver plugins.
 * Updated HyperRipper to version 5.0a:
   * Changed buffer default sizes from too big values (32KB, 64KB and 128KB) to
     much smaller values (256B,512B and 1KB). Using 256B makes HyperRipper much
     much faster to search files than using 32KB buffer.
     Note: If you already used HyperRipper v5.0 you will have to manually
           select the new buffer value in the options.
   + Added new naming scheme for found entries, just check the advanced
     options.
 * Changed left pane view component from TTreeView by TVirtualTreeView.
   The only visible change is the ghosted icon for selected directory.
   Should be faster when adding tons of new directories. But honestly I don't
   see any difference on my computer. :-)
   Anyway this change will allow future visual improvements if needed and
   should take less memory and cpu cycles.
 + Added all missing configuration and about box calling routines in Dragon
   UnPACKer core.
   (Also added About box for every plugin in this release)
 * Elbereth's Main Driver v1.2.5 RC (aka Default Driver):
   + Added Rage of Mages & Rage of Mages 2 RES support.
 * Elbereth's HyperRipper 5 Default plugin (v5.0.0 Release B):
   ! Small glitch fixed ("ave" instead of "Wave").
 * Elbereth's Picture/Textures Convert plugin (v1.0.2 Beta):
   + Added palette creation support.
     Click on the Add button next to the Palette list (on the palette select
     screen). Then open the file with the palette (can be 8Bpp BMP or PCX or
     Microsoft Palette, Jasc PSP Palette or raw palettes).


Version 5.0.0.95
Beta 4 [26-04-2003]

 ! Beta 3 wasn't working under Windows 98. Fixed.
 - Completly removed XP menus. Some reasons:
   1) They were preventing multi-bytes languages to display correctly in menus.
      (ex: Russian, Japanese, Persian, etc..)
   2) The option to disable XP menus wasn't working at all.
   3) Standard menu aspect looks much better :)
 * Cleaned code, now exe is 500KB smaller.
 ! Fixed images from splash and about screen.
 * Default Driver v1.2.3 Beta:
   + Added Port Royale .CPR files support.
   + Added Harbinger .SQH files support.
     This format have tons of directories (at least 5000)... Dragon UnPACKer 5
     is really slow at parsing it.
   + Added Purge .REZ files to the list of supported games.
   + Added Patrician II .CPR files to the supported games. (Thanks to Felix
     Riemann)
 * UT Package Driver v2.1.0:
   + Added Unreal 2 support.
   i Splinter Cell should work (untested).


Version 5.0.0.86
Beta 3 [08-04-2003]

 ! Fixed some user interface glitches under WinXP. (In the option dialog box)
 * Updated VirtualTreeView from 3.6.2 to 3.7.4.
 * Changed a bit the About dialog box of Dragon UnPACKer to show when it was
   compiled (date & time).
 * Added create list with all options:
   List all files, only current dir (with or without sub-directories) & only
   selected entries.
   Sorting of files (by name, offset or size).
   Included templates:
     Dragon UnPACKer 4 HTML Style v1.1b
     Text Database v1.0
     XML Database v1.0
 * Now icons used for embedded files are directly found using your Windows
   registry. That means you will have same icons in DUP5 than in your windows
   explorer. :o)
   I have also added an option to disable this behaviour and use the old
   internal icons.
 * New Exception handler window, but it isn't used...
 * Duppi v2.0.0:
   + Internet update:
     Check for new or updated plugins using Internet. Duppi will then download
     and install them (all downloaded packages are put in your Download sub
     directory of Dragon UnPACKer 5).
   + Now when you run Duppi as is you will be given the choice of check
     Internet for updated packages or browse to a package to install it.
 * HyperRipper Default plugin (v5.0.0 Release A).
   ! Setup button was enabled for S3M and IT file formats (it should not).
 * Picture/Textures Convert plugin (v1.0.1 Beta):
   + Now plugins reminds last used palette.
   i Updated the Shadow Warrior palette with better colors.
 * Default driver plugin (v1.2.2 Beta):
   + Added support for Age of Mythology .BAR files.
   + Added support for BloodRayne .POD files.
     Tested only with the PC Demo.
   + Added support for James Bond NightFire .007 files.
   + Added No One Lives for Ever 2 to the list of supported games.
   + Added support for Postal .SAK files.
     Tested only on Postal Plus Demo.
   ! Fixed Jagged Alliance 2 SLF support.
   ! Fixed extraction of non-compressed data in Emperor: Battle for Dune
     RFH/RFD files (resulting in 0 bytes extracted files).
     [Reported by Andrei Zharnasek]
   * Now using same extraction method as in DUP5 core. Allowing display of the
     extraction progress.
 * UT Package driver plugin (v2.0.0 Rel.A):
   i Use TUTPackage v2.0 by Antonio Cordero Balcazar with official UT2003
     support and (partial?) Army Operation.
   * Much better UT2003 support :)
   i Changed the version numbering to reflect TUTPackage version (major and
     minor version number of plugin are now same version as TUTPackage one).
     That means that if major and minor version don't change only minor things
     are changed in the driver. Removed Beta status of driver.
   ! Fixed an enormous bug. There was a debug option that tried to extract raw
     data from Sound entries to H:\ drive. If you didn't have this disk you
     would get an error while extracting Sound files from UAX. Sorry..
   i Please note that Unreal 2 is NOT supported yet!
 * ZIP Driver plugin (v1.0.2):
   * Updated UnZip32.Dll to v5.5.0.
     (Adding support to PkZip's Deflate64(tm) compression method and fixing
      some security bugs).
   + Added Line of Sight: Vietnam .ZA to the supported file entensions.
   + Added Master of Orion 3 .MOB to the supported file entensions.


Version 5.0.0.77
Beta 2 [18-10-2002]

 + Added HyperRipper v5.0!
   i Same supported file formats as in DUP4.
   i More reliable and efficient than HyperRipper v4.2 (DUP4)!
   i Some tweaking options for those of you that want "complete" control. :)
   i Writing support for the newly HyperRipper File (HRF) version 3.0 file
     format but also for the olders version 1 and 2 (version 0 is unsupported).
   i To bring the configuration panel of MPEG Audio just click on MPEG Audio in
     Format Select tabs and then on Setup buton.
 + Added drag and drop extraction without convertion from Dragon UnPACKer 5 to
   the explorer, desktop, etc..
 + Now the program will run "shell open" on the selected file by
   double-clicking on it.
 * Should be Windows XP friendly (themed).
 * Ah! Finally got XP like menus (like in Office XP).
   For those of you that prefer classic menus go to Icons/Look options tab and
   uncheck the XP Style Menus option.
 + BarfHappy made superb icons for the menus, popups and toolbars.
 ! Fixed "EAccessViolation" when right clicking on a file without extension in
   Dragon UnPACKer 5 listview. (bug found by Felix Riemann)
 ! Fixed the bug reported when multiple drivers wanted to open the same file
   format. (reported by Felix Riemann)
 ! Fixed 2 missing translations in options. (Reported by Fabrizio Degni)
 + Added error message when a plugin opens a file with 0 entries.
   (Asked by Nullpointer)
 ! Fixed a bug when trying to open twice an empty file.
 + Added keyboard navigation in the options panel. (Asked by Nullpointer)
 + Added exit from Options by pressing Escape. (Also asked by Nullpointer)
 * Duppi v1.0.1:
   + Added package version info.
   * XP friendly.
 * Default Driver v1.1.4 Beta:
   + Added support for Battlefield 1942 .RFA files.
   + Added support for GTA3 IMG/DIR files.
   + Added support for HyperRipper .HRF files version 3.0.
     Added major version number to the format string (Ex: HRF1 for v1 files).
   + Added support for Sin .SIN files.
   + Added support for Zanzarah .PAK files.
     Tested only on the Demo if someone can test it on the game and give me
     feedback..
   + Added F22 Lightning 3 .PFF in the list of supported games.
   ! Fixed bug where Earth Siege 2 and Tribes .VOL files were not displayed as
     supported (but all code to support them was in the driver).
   ! Fixed support of Novalogic's PFF3 files (.PFF) when using the "Smart file
     format detection" option.. Until I release this version you may disable
     this option when opening PFF3 files.
 * UT Packages Drivers v1.0.4 Beta:
   + Sound extraction from UT2003 and Undying should work now.
   + Added Undying to the list of supported games.


Version 5.0.0.60
Beta 1 [28-07-2002]

 i Recoded from scratch under Borland Delphi 6. Faster, better memory
   management, support for huge files (9223372 TB!!), no more limited number of
   entries in files (only limited by the memory of your computer).
 * Plugins system for the support of file formats and convertions.
 i Many new supported formats (Unreal Tournament for ex), enhanced support for
   other formats (Giants GZP and Emperor: Battle for Dune files are now
   completly supported, including compressed entries), ..
 - This version does not include (compared with the last version 4):
    The HyperRipper, that is not completly coded yet
    Creation of file lists (text and html)
    Creation and edition of PAK files of Quake/Half-Life
    Some file formats support (ex: Doom, Baldur's Gate, etc..)


 i Version history for all versions 4 are no more in this file because this is
   a completly new code base.
   You can download the text file with the Version 4 history on the official
   Dragon UnPACKer homepage (history-v4.txt).
   URL: http://www.elberethzone.net/index.php?page=dup4


Some informations about older versions:
---------------------------------------

Version 5 (October 2001/2003)
Recoded Dragon UnPACKer from scratch under Borland Delphi 6/7.

Version 4 (1999/2001)
Started again the Dragon UnPACKer developpement from scratch under VB5.
Last version released is the v4.22.87 Release A.

Version 3 (1998)
Trying to add an Explorer like interface for the ugly v2..
No version 3 where released to the public.
I was developping version 2 and version 3 at the same time when the Crash
disk destroyed all sources...

Version 2 (June 1998)
Simple Windows version (with GUI) of Quake UnPACKer, reading more formats..
Interface is UGLY...
Last version released is the v2.00.9 Alpha.

Version 1 (April 1997)
DOS program allowing the read of .PAK files from Quake and some PAK files
from Quake 3 (was then named Quake UnPACKer).
Last version released is the v1.10 Final.

Version 0 (1997)
DOS program. Alpha/Beta versions of Quake UnPACKer.


Beta Developement Page:
-----------------------

This page allow you to follow the developement log of Dragon UnPACKer 5 between
Beta releases. You can also find other informations and maybe some downloads.
     
http://www.elberethzone.net/index.php?page=dup5dev

===============================================================================